txicore.h File Reference

Provides various triangulations of the product of the torus and the interval. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "maths/matrix2.h"`
`#include "triangulation/dim3.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::TxICore
| Provides a triangulation of the product `T x I` (the product of the torus and the interval). More...
class | regina::TxIDiagonalCore
| One of a family of thin `T x I` triangulations that typically appear at the centres of layered torus bundles. More...
class | regina::TxIParallelCore
| A specific six-tetrahedron TxICore triangulation that does not fit neatly into other families. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef TxICore | regina::NTxICore
| Deprecated typedef for backward compatibility. More...
typedef TxIDiagonalCore | regina::NTxIDiagonalCore
| Deprecated typedef for backward compatibility. More...
typedef TxIParallelCore | regina::NTxIParallelCore
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Provides various triangulations of the product of the torus and the interval.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).